package cn.ibizlab.eam.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.eam.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EMEQSpareDTO]
 */
@Data
public class EMEQSpareDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [EMEQSPAREID]
     *
     */
    @JSONField(name = "emeqspareid")
    @JsonProperty("emeqspareid")
    private String emeqspareid;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [ENABLE]
     *
     */
    @JSONField(name = "enable")
    @JsonProperty("enable")
    private Integer enable;

    /**
     * 属性 [EMEQSPARENAME]
     *
     */
    @JSONField(name = "emeqsparename")
    @JsonProperty("emeqsparename")
    private String emeqsparename;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [ORGID]
     *
     */
    @JSONField(name = "orgid")
    @JsonProperty("orgid")
    private String orgid;

    /**
     * 属性 [EQSPARECODE]
     *
     */
    @JSONField(name = "eqsparecode")
    @JsonProperty("eqsparecode")
    private String eqsparecode;

    /**
     * 属性 [EQSPAREINFO]
     *
     */
    @JSONField(name = "eqspareinfo")
    @JsonProperty("eqspareinfo")
    private String eqspareinfo;

    /**
     * 属性 [DESCRIPTION]
     *
     */
    @JSONField(name = "description")
    @JsonProperty("description")
    private String description;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;


    /**
     * 设置 [EMEQSPARENAME]
     */
    public void setEmeqsparename(String  emeqsparename){
        this.emeqsparename = emeqsparename ;
        this.modify("emeqsparename",emeqsparename);
    }

    /**
     * 设置 [EQSPARECODE]
     */
    public void setEqsparecode(String  eqsparecode){
        this.eqsparecode = eqsparecode ;
        this.modify("eqsparecode",eqsparecode);
    }

    /**
     * 设置 [DESCRIPTION]
     */
    public void setDescription(String  description){
        this.description = description ;
        this.modify("description",description);
    }


}

