package cn.ibizlab.eam.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.eam.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EMWO_OSCDTO]
 */
@Data
public class EMWO_OSCDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [ACTIVELENGTHS]
     *
     */
    @JSONField(name = "activelengths")
    @JsonProperty("activelengths")
    private Double activelengths;

    /**
     * 属性 [EMWO_OSCNAME]
     *
     */
    @JSONField(name = "emwo_oscname")
    @JsonProperty("emwo_oscname")
    private String emwoOscname;

    /**
     * 属性 [ARG4]
     *
     */
    @JSONField(name = "arg4")
    @JsonProperty("arg4")
    private Double arg4;

    /**
     * 属性 [DESCRIPTION]
     *
     */
    @JSONField(name = "description")
    @JsonProperty("description")
    private String description;

    /**
     * 属性 [EMWOTYPE]
     *
     */
    @JSONField(name = "emwotype")
    @JsonProperty("emwotype")
    private String emwotype;

    /**
     * 属性 [VAL]
     *
     */
    @JSONField(name = "val")
    @JsonProperty("val")
    private String val;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [WRESULT]
     *
     */
    @JSONField(name = "wresult")
    @JsonProperty("wresult")
    private String wresult;

    /**
     * 属性 [REGIONBEGINDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "regionbegindate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("regionbegindate")
    private Timestamp regionbegindate;

    /**
     * 属性 [ARG3]
     *
     */
    @JSONField(name = "arg3")
    @JsonProperty("arg3")
    private Double arg3;

    /**
     * 属性 [WORKLENGTH]
     *
     */
    @JSONField(name = "worklength")
    @JsonProperty("worklength")
    private Double worklength;

    /**
     * 属性 [EMWO_OSCID]
     *
     */
    @JSONField(name = "emwo_oscid")
    @JsonProperty("emwo_oscid")
    private String emwoOscid;

    /**
     * 属性 [MDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "mdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("mdate")
    private Timestamp mdate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [REGIONENDDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "regionenddate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("regionenddate")
    private Timestamp regionenddate;

    /**
     * 属性 [ORGID]
     *
     */
    @JSONField(name = "orgid")
    @JsonProperty("orgid")
    private String orgid;

    /**
     * 属性 [NVAL]
     *
     */
    @JSONField(name = "nval")
    @JsonProperty("nval")
    private Double nval;

    /**
     * 属性 [WFSTEP]
     *
     */
    @JSONField(name = "wfstep")
    @JsonProperty("wfstep")
    private String wfstep;

    /**
     * 属性 [MFEE]
     *
     */
    @JSONField(name = "mfee")
    @JsonProperty("mfee")
    private String mfee;

    /**
     * 属性 [EXPIREDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "expiredate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("expiredate")
    private Timestamp expiredate;

    /**
     * 属性 [ARG1]
     *
     */
    @JSONField(name = "arg1")
    @JsonProperty("arg1")
    private Double arg1;

    /**
     * 属性 [WFINSTANCEID]
     *
     */
    @JSONField(name = "wfinstanceid")
    @JsonProperty("wfinstanceid")
    private String wfinstanceid;

    /**
     * 属性 [CONTENT]
     *
     */
    @JSONField(name = "content")
    @JsonProperty("content")
    private String content;

    /**
     * 属性 [ARG2]
     *
     */
    @JSONField(name = "arg2")
    @JsonProperty("arg2")
    private Double arg2;

    /**
     * 属性 [ARCHIVE]
     *
     */
    @JSONField(name = "archive")
    @JsonProperty("archive")
    private String archive;

    /**
     * 属性 [WOGROUP]
     *
     */
    @JSONField(name = "wogroup")
    @JsonProperty("wogroup")
    private String wogroup;

    /**
     * 属性 [WOTEAM]
     *
     */
    @JSONField(name = "woteam")
    @JsonProperty("woteam")
    private String woteam;

    /**
     * 属性 [WOTYPE]
     *
     */
    @JSONField(name = "wotype")
    @JsonProperty("wotype")
    private String wotype;

    /**
     * 属性 [PRIORITY]
     *
     */
    @JSONField(name = "priority")
    @JsonProperty("priority")
    private Integer priority;

    /**
     * 属性 [ENABLE]
     *
     */
    @JSONField(name = "enable")
    @JsonProperty("enable")
    private Integer enable;

    /**
     * 属性 [PREFEE]
     *
     */
    @JSONField(name = "prefee")
    @JsonProperty("prefee")
    private String prefee;

    /**
     * 属性 [WOSTATE]
     *
     */
    @JSONField(name = "wostate")
    @JsonProperty("wostate")
    private Integer wostate;

    /**
     * 属性 [WODATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "wodate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("wodate")
    private Timestamp wodate;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [WFSTATE]
     *
     */
    @JSONField(name = "wfstate")
    @JsonProperty("wfstate")
    private Integer wfstate;

    /**
     * 属性 [EQSTOPLENGTH]
     *
     */
    @JSONField(name = "eqstoplength")
    @JsonProperty("eqstoplength")
    private Double eqstoplength;

    /**
     * 属性 [CPLANFLAG]
     *
     */
    @JSONField(name = "cplanflag")
    @JsonProperty("cplanflag")
    private Integer cplanflag;

    /**
     * 属性 [VRATE]
     *
     */
    @JSONField(name = "vrate")
    @JsonProperty("vrate")
    private Double vrate;

    /**
     * 属性 [ARG5]
     *
     */
    @JSONField(name = "arg5")
    @JsonProperty("arg5")
    private Double arg5;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [WODESC]
     *
     */
    @JSONField(name = "wodesc")
    @JsonProperty("wodesc")
    private String wodesc;

    /**
     * 属性 [WOORITYPE]
     *
     */
    @JSONField(name = "wooritype")
    @JsonProperty("wooritype")
    private String wooritype;

    /**
     * 属性 [RFOACNAME]
     *
     */
    @JSONField(name = "rfoacname")
    @JsonProperty("rfoacname")
    private String rfoacname;

    /**
     * 属性 [WOPNAME]
     *
     */
    @JSONField(name = "wopname")
    @JsonProperty("wopname")
    private String wopname;

    /**
     * 属性 [RECVPERSONNAME]
     *
     */
    @JSONField(name = "recvpersonname")
    @JsonProperty("recvpersonname")
    private String recvpersonname;

    /**
     * 属性 [RFODENAME]
     *
     */
    @JSONField(name = "rfodename")
    @JsonProperty("rfodename")
    private String rfodename;

    /**
     * 属性 [RFOCANAME]
     *
     */
    @JSONField(name = "rfocaname")
    @JsonProperty("rfocaname")
    private String rfocaname;

    /**
     * 属性 [ACCLASSNAME]
     *
     */
    @JSONField(name = "acclassname")
    @JsonProperty("acclassname")
    private String acclassname;

    /**
     * 属性 [RDEPTNAME]
     *
     */
    @JSONField(name = "rdeptname")
    @JsonProperty("rdeptname")
    private String rdeptname;

    /**
     * 属性 [RTEAMNAME]
     *
     */
    @JSONField(name = "rteamname")
    @JsonProperty("rteamname")
    private String rteamname;

    /**
     * 属性 [WPERSONNAME]
     *
     */
    @JSONField(name = "wpersonname")
    @JsonProperty("wpersonname")
    private String wpersonname;

    /**
     * 属性 [RSERVICENAME]
     *
     */
    @JSONField(name = "rservicename")
    @JsonProperty("rservicename")
    private String rservicename;

    /**
     * 属性 [DPTYPE]
     *
     */
    @JSONField(name = "dptype")
    @JsonProperty("dptype")
    private String dptype;

    /**
     * 属性 [EQUIPCODE]
     *
     */
    @JSONField(name = "equipcode")
    @JsonProperty("equipcode")
    private String equipcode;

    /**
     * 属性 [OBJNAME]
     *
     */
    @JSONField(name = "objname")
    @JsonProperty("objname")
    private String objname;

    /**
     * 属性 [RFOMONAME]
     *
     */
    @JSONField(name = "rfomoname")
    @JsonProperty("rfomoname")
    private String rfomoname;

    /**
     * 属性 [REMPNAME]
     *
     */
    @JSONField(name = "rempname")
    @JsonProperty("rempname")
    private String rempname;

    /**
     * 属性 [WOORINAME]
     *
     */
    @JSONField(name = "wooriname")
    @JsonProperty("wooriname")
    private String wooriname;

    /**
     * 属性 [MPERSONNAME]
     *
     */
    @JSONField(name = "mpersonname")
    @JsonProperty("mpersonname")
    private String mpersonname;

    /**
     * 属性 [EQUIPNAME]
     *
     */
    @JSONField(name = "equipname")
    @JsonProperty("equipname")
    private String equipname;

    /**
     * 属性 [DPNAME]
     *
     */
    @JSONField(name = "dpname")
    @JsonProperty("dpname")
    private String dpname;

    /**
     * 属性 [MPERSONID]
     *
     */
    @JSONField(name = "mpersonid")
    @JsonProperty("mpersonid")
    private String mpersonid;

    /**
     * 属性 [REMPID]
     *
     */
    @JSONField(name = "rempid")
    @JsonProperty("rempid")
    private String rempid;

    /**
     * 属性 [WOPID]
     *
     */
    @JSONField(name = "wopid")
    @JsonProperty("wopid")
    private String wopid;

    /**
     * 属性 [RTEAMID]
     *
     */
    @JSONField(name = "rteamid")
    @JsonProperty("rteamid")
    private String rteamid;

    /**
     * 属性 [RFOCAID]
     *
     */
    @JSONField(name = "rfocaid")
    @JsonProperty("rfocaid")
    private String rfocaid;

    /**
     * 属性 [RFOMOID]
     *
     */
    @JSONField(name = "rfomoid")
    @JsonProperty("rfomoid")
    private String rfomoid;

    /**
     * 属性 [OBJID]
     *
     */
    @JSONField(name = "objid")
    @JsonProperty("objid")
    private String objid;

    /**
     * 属性 [EQUIPID]
     *
     */
    @JSONField(name = "equipid")
    @JsonProperty("equipid")
    private String equipid;

    /**
     * 属性 [WPERSONID]
     *
     */
    @JSONField(name = "wpersonid")
    @JsonProperty("wpersonid")
    private String wpersonid;

    /**
     * 属性 [WOORIID]
     *
     */
    @JSONField(name = "wooriid")
    @JsonProperty("wooriid")
    private String wooriid;

    /**
     * 属性 [ACCLASSID]
     *
     */
    @JSONField(name = "acclassid")
    @JsonProperty("acclassid")
    private String acclassid;

    /**
     * 属性 [DPID]
     *
     */
    @JSONField(name = "dpid")
    @JsonProperty("dpid")
    private String dpid;

    /**
     * 属性 [RSERVICEID]
     *
     */
    @JSONField(name = "rserviceid")
    @JsonProperty("rserviceid")
    private String rserviceid;

    /**
     * 属性 [RFOACID]
     *
     */
    @JSONField(name = "rfoacid")
    @JsonProperty("rfoacid")
    private String rfoacid;

    /**
     * 属性 [RFODEID]
     *
     */
    @JSONField(name = "rfodeid")
    @JsonProperty("rfodeid")
    private String rfodeid;

    /**
     * 属性 [RDEPTID]
     *
     */
    @JSONField(name = "rdeptid")
    @JsonProperty("rdeptid")
    private String rdeptid;

    /**
     * 属性 [RECVPERSONID]
     *
     */
    @JSONField(name = "recvpersonid")
    @JsonProperty("recvpersonid")
    private String recvpersonid;


    /**
     * 设置 [ACTIVELENGTHS]
     */
    public void setActivelengths(Double  activelengths){
        this.activelengths = activelengths ;
        this.modify("activelengths",activelengths);
    }

    /**
     * 设置 [EMWO_OSCNAME]
     */
    public void setEmwoOscname(String  emwoOscname){
        this.emwoOscname = emwoOscname ;
        this.modify("emwo_oscname",emwoOscname);
    }

    /**
     * 设置 [ARG4]
     */
    public void setArg4(Double  arg4){
        this.arg4 = arg4 ;
        this.modify("arg4",arg4);
    }

    /**
     * 设置 [DESCRIPTION]
     */
    public void setDescription(String  description){
        this.description = description ;
        this.modify("description",description);
    }

    /**
     * 设置 [VAL]
     */
    public void setVal(String  val){
        this.val = val ;
        this.modify("val",val);
    }

    /**
     * 设置 [WRESULT]
     */
    public void setWresult(String  wresult){
        this.wresult = wresult ;
        this.modify("wresult",wresult);
    }

    /**
     * 设置 [REGIONBEGINDATE]
     */
    public void setRegionbegindate(Timestamp  regionbegindate){
        this.regionbegindate = regionbegindate ;
        this.modify("regionbegindate",regionbegindate);
    }

    /**
     * 设置 [ARG3]
     */
    public void setArg3(Double  arg3){
        this.arg3 = arg3 ;
        this.modify("arg3",arg3);
    }

    /**
     * 设置 [WORKLENGTH]
     */
    public void setWorklength(Double  worklength){
        this.worklength = worklength ;
        this.modify("worklength",worklength);
    }

    /**
     * 设置 [MDATE]
     */
    public void setMdate(Timestamp  mdate){
        this.mdate = mdate ;
        this.modify("mdate",mdate);
    }

    /**
     * 设置 [REGIONENDDATE]
     */
    public void setRegionenddate(Timestamp  regionenddate){
        this.regionenddate = regionenddate ;
        this.modify("regionenddate",regionenddate);
    }

    /**
     * 设置 [NVAL]
     */
    public void setNval(Double  nval){
        this.nval = nval ;
        this.modify("nval",nval);
    }

    /**
     * 设置 [WFSTEP]
     */
    public void setWfstep(String  wfstep){
        this.wfstep = wfstep ;
        this.modify("wfstep",wfstep);
    }

    /**
     * 设置 [MFEE]
     */
    public void setMfee(String  mfee){
        this.mfee = mfee ;
        this.modify("mfee",mfee);
    }

    /**
     * 设置 [EXPIREDATE]
     */
    public void setExpiredate(Timestamp  expiredate){
        this.expiredate = expiredate ;
        this.modify("expiredate",expiredate);
    }

    /**
     * 设置 [ARG1]
     */
    public void setArg1(Double  arg1){
        this.arg1 = arg1 ;
        this.modify("arg1",arg1);
    }

    /**
     * 设置 [WFINSTANCEID]
     */
    public void setWfinstanceid(String  wfinstanceid){
        this.wfinstanceid = wfinstanceid ;
        this.modify("wfinstanceid",wfinstanceid);
    }

    /**
     * 设置 [CONTENT]
     */
    public void setContent(String  content){
        this.content = content ;
        this.modify("content",content);
    }

    /**
     * 设置 [ARG2]
     */
    public void setArg2(Double  arg2){
        this.arg2 = arg2 ;
        this.modify("arg2",arg2);
    }

    /**
     * 设置 [ARCHIVE]
     */
    public void setArchive(String  archive){
        this.archive = archive ;
        this.modify("archive",archive);
    }

    /**
     * 设置 [WOGROUP]
     */
    public void setWogroup(String  wogroup){
        this.wogroup = wogroup ;
        this.modify("wogroup",wogroup);
    }

    /**
     * 设置 [WOTYPE]
     */
    public void setWotype(String  wotype){
        this.wotype = wotype ;
        this.modify("wotype",wotype);
    }

    /**
     * 设置 [PRIORITY]
     */
    public void setPriority(Integer  priority){
        this.priority = priority ;
        this.modify("priority",priority);
    }

    /**
     * 设置 [PREFEE]
     */
    public void setPrefee(String  prefee){
        this.prefee = prefee ;
        this.modify("prefee",prefee);
    }

    /**
     * 设置 [WOSTATE]
     */
    public void setWostate(Integer  wostate){
        this.wostate = wostate ;
        this.modify("wostate",wostate);
    }

    /**
     * 设置 [WODATE]
     */
    public void setWodate(Timestamp  wodate){
        this.wodate = wodate ;
        this.modify("wodate",wodate);
    }

    /**
     * 设置 [WFSTATE]
     */
    public void setWfstate(Integer  wfstate){
        this.wfstate = wfstate ;
        this.modify("wfstate",wfstate);
    }

    /**
     * 设置 [EQSTOPLENGTH]
     */
    public void setEqstoplength(Double  eqstoplength){
        this.eqstoplength = eqstoplength ;
        this.modify("eqstoplength",eqstoplength);
    }

    /**
     * 设置 [CPLANFLAG]
     */
    public void setCplanflag(Integer  cplanflag){
        this.cplanflag = cplanflag ;
        this.modify("cplanflag",cplanflag);
    }

    /**
     * 设置 [VRATE]
     */
    public void setVrate(Double  vrate){
        this.vrate = vrate ;
        this.modify("vrate",vrate);
    }

    /**
     * 设置 [ARG5]
     */
    public void setArg5(Double  arg5){
        this.arg5 = arg5 ;
        this.modify("arg5",arg5);
    }

    /**
     * 设置 [WODESC]
     */
    public void setWodesc(String  wodesc){
        this.wodesc = wodesc ;
        this.modify("wodesc",wodesc);
    }

    /**
     * 设置 [MPERSONID]
     */
    public void setMpersonid(String  mpersonid){
        this.mpersonid = mpersonid ;
        this.modify("mpersonid",mpersonid);
    }

    /**
     * 设置 [REMPID]
     */
    public void setRempid(String  rempid){
        this.rempid = rempid ;
        this.modify("rempid",rempid);
    }

    /**
     * 设置 [WOPID]
     */
    public void setWopid(String  wopid){
        this.wopid = wopid ;
        this.modify("wopid",wopid);
    }

    /**
     * 设置 [RTEAMID]
     */
    public void setRteamid(String  rteamid){
        this.rteamid = rteamid ;
        this.modify("rteamid",rteamid);
    }

    /**
     * 设置 [RFOCAID]
     */
    public void setRfocaid(String  rfocaid){
        this.rfocaid = rfocaid ;
        this.modify("rfocaid",rfocaid);
    }

    /**
     * 设置 [RFOMOID]
     */
    public void setRfomoid(String  rfomoid){
        this.rfomoid = rfomoid ;
        this.modify("rfomoid",rfomoid);
    }

    /**
     * 设置 [OBJID]
     */
    public void setObjid(String  objid){
        this.objid = objid ;
        this.modify("objid",objid);
    }

    /**
     * 设置 [EQUIPID]
     */
    public void setEquipid(String  equipid){
        this.equipid = equipid ;
        this.modify("equipid",equipid);
    }

    /**
     * 设置 [WPERSONID]
     */
    public void setWpersonid(String  wpersonid){
        this.wpersonid = wpersonid ;
        this.modify("wpersonid",wpersonid);
    }

    /**
     * 设置 [WOORIID]
     */
    public void setWooriid(String  wooriid){
        this.wooriid = wooriid ;
        this.modify("wooriid",wooriid);
    }

    /**
     * 设置 [ACCLASSID]
     */
    public void setAcclassid(String  acclassid){
        this.acclassid = acclassid ;
        this.modify("acclassid",acclassid);
    }

    /**
     * 设置 [DPID]
     */
    public void setDpid(String  dpid){
        this.dpid = dpid ;
        this.modify("dpid",dpid);
    }

    /**
     * 设置 [RSERVICEID]
     */
    public void setRserviceid(String  rserviceid){
        this.rserviceid = rserviceid ;
        this.modify("rserviceid",rserviceid);
    }

    /**
     * 设置 [RFOACID]
     */
    public void setRfoacid(String  rfoacid){
        this.rfoacid = rfoacid ;
        this.modify("rfoacid",rfoacid);
    }

    /**
     * 设置 [RFODEID]
     */
    public void setRfodeid(String  rfodeid){
        this.rfodeid = rfodeid ;
        this.modify("rfodeid",rfodeid);
    }

    /**
     * 设置 [RDEPTID]
     */
    public void setRdeptid(String  rdeptid){
        this.rdeptid = rdeptid ;
        this.modify("rdeptid",rdeptid);
    }

    /**
     * 设置 [RECVPERSONID]
     */
    public void setRecvpersonid(String  recvpersonid){
        this.recvpersonid = recvpersonid ;
        this.modify("recvpersonid",recvpersonid);
    }


}

